from Components.Converter.ServicePosition import ServicePosition
#from Poll import Poll
#from enigma import iPlayableService
from Components.Element import cached

class ServicePositionLcdDigital(ServicePosition):
	def __init__(self, type):
		ServicePosition.__init__(self,type)

	@cached
	def getTime(self):
		seek = self.getSeek()
		if seek is None:
			if self.type == self.TYPE_REMAINING:
				return (0,0)
			else:
				return 0
		else:
			if self.type == self.TYPE_LENGTH:
				l = self.length
				l /= 90000
			elif self.type == self.TYPE_POSITION:
				l = self.position
				l /= 90000
			elif self.type == self.TYPE_REMAINING:
				l = (self.length / 90000, (self.length - self.position) / 90000)

			return l

	time = property(getTime)
